#ifndef __MYMATH_H__
#define __MYMATH_H__

#include <math.h>

static float __TMPREG0;
static float __TMPREG1;

#define DSIN(x) sin((x)*0.017453293f)
#define DCOS(x) cos((x)*0.017453293f)

#define DOT(x,y) (x[0]*y[0]+x[1]*y[1]+x[2]*y[2])

inline void normalize(GLfloat *v) {
  __TMPREG0=1.0f/sqrt(DOT(v,v));
  v[0]*=__TMPREG0;
  v[1]*=__TMPREG0;
  v[2]*=__TMPREG0;
}
#endif
